<article class="row pl-3" itemscope itemtype="https://schema.org/DataService">
  <div class="col-12 col-lg-7 pt-4">
    <div class="row mr-1 mb-3">
      <div class="datadeal__header">
        <div class="datadeal__icon">
          <i class="fa fa-database"></i>
        </div>
        <div class="datadeal__title">
          <!-- MEK: placeholder for dataservice type -->
          <div class="datadeal__type">dataservice</div>
          <div class="dex__title">
            <h1 class="dex__title--page" itemprop="name">
              {% if dataservice.title %}
                {{ dataservice.title }}
              {% else %}
                {{ dataservice.name }}
              {% endif %}
            </h1>
          </div>
        </div>
      </div>
    </div>
    {% if dataservice.description or dataservice.url %}
      <div class="row mr-1 mb-3">
        {% if dataservice.description %}
          <p itemprop="description" class="dataset__description">{{ dataservice.description|nl2br }}</p>
        {% endif %}

        {% if dataservice.url %}
          <a href="{{ dataservice.url }}" rel="noindex noopener" target="_blank">
            <i class="fa fa-fw fa-arrow-right"></i>
            {{ 'Find out more about this dataset'|t }}
          </a>
        {% endif %}
      </div>
    {% endif %}

    {% if dataservice.endpoint_url %}
      <div class="row mr-1 mb-3">
        <h3 class="ml-0 mb-2 mt-4">Endpoint</h3>
        <table class="dataset__table table ml-0">
          <tbody>
            <tr itemprop="distribution" itemscope itemtype="https://schema.org/DataDownload">
              <td class="w-75 pl-0">
                {% if dataservice.endpoint_description %}
                  <p itemprop="name" class="font-weight-bold w-100 mb-0">{{ dataservice.endpoint_description }}</p>
                {% endif %}
                <small>{{ dataservice.endpoint_url|replace({'https://': '', 'http://': ''}) }}</small>
              </td>
              <td>
                <ul class="list-unstyled">
                  <li>
                    <a itemprop="contentUrl" href="{{ dataservice.endpoint_url }}" rel="noreferrer noopener" target="_blank"
                       class="font-weight-bold" data-toggle="tooltip" data-placement="top"
                       title="{{ 'Access the data of this endpoint'|t }}">
                      {{ 'Access data'|t }}
                    </a>
                  </li>
                </ul>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    {% endif %}

  </div>

  <section class="col-lg-5 content__sidebar" id="sidebar_right">
    <div id="toolbar_offcanvas_top" class="px-0 py-3 col-12 d-lg-none clearfix">
      <a class="toggle_offcanvas_menu btn btn-light float-right">
        <span class="long-button-title">{{ 'Close'|t }}</span>
        <i class="fa fa-angle-double-right ml-2"></i>
      </a>
    </div>

    {% if show_controls is not empty %}
      {% set route_params = {
        'dataservice': dataservice.name
      } %}
      <section class="sidebar__section row mx-0 mt-3 p-3 clearfix dexes-page-block">
        <h3 class="sidebar__header">{{ 'Manage dataservice'|t }}</h3>
        <ul class="list-unstyled">
          <li>
            <a rel="nofollow" data-toggle="tooltip" data-placement="top"
               title="{{ 'Make changes to the metadata of this dataservice'|t }}"
               href="{{ path('dexes_dcat.dataservice.edit', route_params) }}">
              <i class="fa fa-fw fa-edit"></i>
              {{ 'Edit this dataservice'|t }}
            </a>
          </li>
          <li>
            <a rel="nofollow" data-toggle="tooltip" data-placement="top"
               title="{{ 'Delete this dataservice from the catalog permanently'|t }}"
               href="{{ path('dexes_dcat.dataservice.delete', route_params) }}" class="text-danger">
              <i class="fa fa-fw fa-remove"></i>
              {{ 'Delete this dataservice'|t }}
            </a>
          </li>
        </ul>
      </section>
    {% endif %}

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">{{ 'Share data'|t }}</h3>
      <dl class="chip-block">

        <!-- or should we require dataservice_status somewhere... Probably, reviewer? -->
        {% if dataservice.access_rights %}
          <dt>{{ 'Disclosure level'|t }}</dt>
          <dd>
            {% set access_rights_label = dataservice.access_rights|identifier_to_label('Overheid:Openbaarheidsniveau') %}
            {% set access_rights_color = dataservice.access_rights|access_rights_to_color %}
            {% set query_string = {
              'query': '-',
              'filters': 'disclosure-level:' ~ access_rights_label,
              'page_number': 1,
              'scope': 'dataservice'
            } %}
            <a href="{{ path('dexes_search.search.dataservice', query_string) }}" rel="nofollow" data-toggle="tooltip"
               data-placement="top" title="{{ 'Show all dataservices with this disclosure level'|t }}" class="chip {{ access_rights_color }}">
              {{ access_rights_label }}
            </a>
          </dd>
        {% endif %}

        {% if dataservice.license %}
          <dt>{{ 'License'|t }}</dt>
          <dd>
            {% set license_label = dataservice.license|identifier_to_label('DONL:License') %}
            {% set license_color = dataservice.license_id|license_to_color %}
            {% set query_string = {
              'query': '-',
              'filters': 'license:' ~ license_label,
              'page_number': 1,
              'scope': 'dataservice'
            } %}
            <a href="{{ path('dexes_search.search.dataservice', query_string) }}" rel="nofollow" data-toggle="tooltip"
               data-placement="top" title="{{ 'Show all dataservices with this license'|t }}" class="chip {{ license_color }}">
              {{ license_label }}
              <span itemprop="license" class="d-none">{{ dataservice.license }}</span>
            </a>
          </dd>
        {% endif %}

        <dt>{{ 'Available since'|t }}</dt>
        <dd>
          {% set release_data = dataservice.release_data|date('Y-m-d H:i:s') %}
          <time datetime="{{ release_data }}" data-toggle="tooltip" title="{{ release_data }}"
                data-placement="top" itemprop="datePublished sdDatePublished dateCreated">
            {{ dataservice.release_data|date('d/m/Y') }}
          </time>
        </dd>

        <dt>{{ 'Updated'|t }}</dt>
        <dd>
          {% set modification_date = dataservice.modification_date|date('Y-m-d H:i:s') %}
          <time datetime="{{ modification_date }}" itemprop="dateModified" title="{{ modification_date }}"
                data-toggle="tooltip" data-placement="top">
            {{ dataservice.modification_date|date('d/m/Y') }}
          </time>
        </dd>
      </dl>
    </section>

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">Policies ({{ dataservice.has_policy|length }})</h3>
      <dl>
        {% if dataservice.has_policy %}
          <dt><i class="fa-solid fa-scale-unbalanced mr-1"></i>{{ 'Policies applicable for this dataservice:'|t }}</dt>
          <dd>
            {% for policy in dataservice.has_policy %}
              {% set policy_info = policy|identifier_to_policy_info %}
              {% if policy_info %}
                <div class="d-flex align-items-center justify-content-between w-100 mt-2">
                  <div class="d-flex align-items-center">
                    <span class="authority badge badge-info p-2 mr-2">
                      {{ policy_info.authority.authority_label|translate_policy_value }}
                    </span>
                    <span>{{ policy_info.policy_info.policy_label|translate_policy_value }}</span>
                  </div>
                  <a href="#">
                    <i class="fa-solid fa-circle-info ml-1 text-info" title="{{ 'Click here for more info'|t }}"></i>
                  </a>
                </div>
              {% else %}
                <span class="d-flex align-center justify-content-between w-100 mt-2 text-danger">{{ 'Policy not available'|t }}</span>
              {% endif %}
            {% endfor %}
          </dd>
        {% else %}
          <dd>{{ 'No policies are applicable for this dataservice'|t }}</dd>
        {% endif %}

        {% if dataservice.contact_point_email %}
          <a class="btn btn-secondary text-light w-100 mt-3 info-button" href="mailto:{{ dataservice.contact_point.email }}">{{ 'Ask for more information or send an access request'|t }}</a>
        {% endif %}
      </dl>
    </section>

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">{{ 'Features'|t }}</h3>
      <dl>
        <dt>
          {{ 'Theme'|t }}
        </dt>
        <dd itemprop="Theme" itemscope itemtype="https://schema.org/Theme">
          {% for theme in dataservice.theme %}
            {% set theme_label = theme|identifier_to_label('Overheid:TaxonomieBeleidsagenda') %}
            {% set query_string = {
              'query': '-',
              'filters': 'theme:' ~ theme_label,
              'page_number': 1,
              'scope': 'dataservice'
            } %}
          <a href="{{ path('dexes_search.search.dataservice', query_string) }}" rel="nofollow" data-toggle="tooltip"
             data-placement="top" title="{{ 'Show all dataservices with this theme'|t }}">
            <span itemprop="genre">{{ theme_label }}</span></a>{% if not loop.last %}, {% endif %}
          {% endfor %}
        </dd>
      </dl>
    </section>

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">{{ 'Ownership'|t }}</h3>
      <dl>
        {% if dataservice.authority %}
          <dt>{{ 'Creator'|t }}</dt>
          <dd itemprop="creator" itemscope itemtype="https://schema.org/Organization">
            {% set creator_label = dataservice.authority|identifier_to_label('DONL:Organization') %}
            {% set query_string = {
              'query': '-',
              'filters': 'authority:' ~ creator_label,
              'page_number': 1,
              'scope': 'dataservice'
            } %}
            <a href="{{ path('dexes_search.search.dataservice', query_string) }}" rel="nofollow" data-toggle="tooltip"
               data-placement="top" title="{{ 'Show all dataservices from this creator'|t }}">
              <span itemprop="name">{{ creator_label }}</span>
              <span itemprop="identifier" class="d-none">{{ dataservice.authority }}</span>
            </a>
          </dd>
        {% endif %}

        {% if dataservice.publisher %}
          <dt>{{ 'Publisher'|t }}</dt>
          <dd itemprop="publisher sdPublisher" itemscope itemtype="https://schema.org/Organization">
            {% set publisher_label = dataservice.publisher|identifier_to_label('DONL:Organization') %}
            {% set query_string = {
              'query': '-',
              'filters': 'authority:' ~ publisher_label,
              'page_number': 1,
              'scope': 'dataservice'
            } %}
            <a href="{{ path('dexes_search.search.dataservice', query_string) }}" rel="nofollow" data-toggle="tooltip"
               data-placement="top" title="{{ 'Show all dataservices from this publisher'|t }}">
              <span itemprop="name">{{ publisher_label }}</span>
              <span itemprop="identifier" class="d-none">{{ dataservice.publisher }}</span>
            </a>
          </dd>
        {% endif %}

        {% if dataservice.source_catalog %}
          <dt>{{ 'Source catalog'|t }}</dt>
          <dd itemprop="includedInDataCatalog" itemscope itemtype="https://schema.org/DataCatalog">
            {% set catalog_label = dataservice.source_catalog|identifier_to_label('DONL:Catalogs') %}
            {% set query_string = {
              'query': '-',
              'filters': 'catalog:' ~ catalog_label,
              'page_number': 1,
              'scope': 'dataservice'
            } %}
            <a href="{{ path('dexes_search.search.dataservice', query_string) }}" rel="nofollow" data-toggle="tooltip"
               data-placement="top" title="{{ 'Show all dataservices from this catalog'|t }}">
              <span itemprop="name">{{ catalog_label }}</span>
              <span itemprop="identifier" class="d-none">{{ dataservice.source_catalog }}</span>
            </a>
          </dd>
        {% endif %}
      </dl>
    </section>

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">{{ 'Contact'|t }}</h3>
      <dl>
        <dt>{{ 'Name'|t }}</dt>
        <dd>{{ dataservice.contact_point.name }}</dd>

        {% if dataservice.contact_point.email %}
          <dt>{{ 'Email'|t }}</dt>
          <dd>
            <a href="mailto:{{ dataservice.contact_point.email }}" rel="nofollow">
              {{ dataservice.contact_point.email }}
            </a>
          </dd>
        {% endif %}

        {% if dataservice.contact_point.website %}
          <dt>{{ 'Website'|t }}</dt>
          <dd>
            <a href="{{ dataservice.contact_point.website }}" rel="noopener nofollow" target="_blank" class="word-break">
              {{ dataservice.contact_point.website|replace({ 'http://': '', 'https://': '' }) }}
            </a>
          </dd>
        {% endif %}

        {% if dataservice.contact_point.phone %}
          <dt>{{ 'Phone number'|t }}</dt>
          <dd>
            <a href="tel:{{ dataservice.contact_point.phone }}" rel="nofollow">
              {{ dataservice.contact_point.phone }}
            </a>
          </dd>
        {% endif %}
      </dl>
    </section>

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">{{ 'Metadata'|t }}</h3>
      <dl>
        <dt>{{ 'Identifier'|t }}</dt>
        <dd>{{ dataservice.identifier }}</dd>
      </dl>
    </section>
  </section>
</article>
